@extends ('layouts.patient')

@section('inner-content')
    <?php $patient = $patient; ?>
    <h1>Here is the story of all the notes, bills, and claims for this patient.</h1>
    <h2>HCP notes signed: {{$hcpSignedNotesCount}}</h2>
    <h2>All Notes:</h2>
    <table class="table table-bordered table-striped table-condensed">
        <thead>
        <tr>
            <th>Date</th>
            <th>Day in Program</th>
            <th>Day in MCP Program</th>
            <th>Days since Prv. Note</th>
            <th>Signed By HCP?</th>
            <th>Content</th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        <?php
            $firstDateEverSeenByAnyone = null;
            $firstDateEverSeenByMcpTypePro = null;
            $firstDateEverSeenByCurrentMcp = null;
            $loopLastDateSeenByMcpTypePro = null;
            $loopLastDateSeenByHcpMap = [];
            foreach($patient->notesAscending as $note){
                $d = $note->effective_dateest;
                $firstDateEverSeenByAnyone = $firstDateEverSeenByAnyone ? $firstDateEverSeenByAnyone : $d;
                if($note->hcpPro->is_mcp){
                    $firstDateEverSeenByMcpTypePro = $firstDateEverSeenByMcpTypePro ? $firstDateEverSeenByMcpTypePro : $d;
                    if($note->hcpPro->id == $patient->mcp_pro_id){
                        $firstDateEverSeenByCurrentMcp = $firstDateEverSeenByCurrentMcp;
                    }
                }
                $dayInProgram = (strtotime($d) - strtotime($firstDateEverSeenByAnyone)) / (60 * 60 * 24);
                $dayInProgram = (strtotime($d) - strtotime($firstDateEverSeenByMcpTypePro)) / (60 * 60 * 24);
            }
        ?>
        @foreach($patient->notesAscending as $note)

        <?php
            $date = $note->effective_dateest;
            $firstDateEverSeenByAnyone = $firstDateEverSeenByAnyone ? $firstDateEverSeenByAnyone : $date;


        if ($note->hcpPro->is_mcp) {
            $firstDate = $firstDate ? $firstDate : $note->effective_dateest;
            $lastDate = $lastDate ? $lastDate : $note->effective_dateest;
        }

        $dayInProgram = null;
        $daysSincePreviousNote = null;
        if ($firstDate) {
            $dayInProgram = (strtotime($note->effective_dateest) - strtotime($firstDate)) / (60 * 60 * 24);
        }

        if ($note->hcpPro->is_mcp) {
            $daysSincePreviousNote = (strtotime($note->effective_dateest) - strtotime($lastDate)) / (60 * 60 * 24);
            $lastDate = $note->effective_dateest;
        }
        ?>
        <tr>
            <td>
                {{ $note->effective_dateest }}
            </td>
            <td>
                {{ $dayInProgram }}
            </td>
            <td>
                {{ $daysSincePreviousNote }}
            </td>
            <td>
                {{ $note->is_signed_by_hcp }}
            </td>
            <td>
                CONTENT WILL GO HERE
            </td>
            <td></td>
        </tr>
        <? endforeach; ?>
        </tbody>
    </table>
@endsection
